Page MenuHomePhabricator

[SchedModels][CortexA55] Fix scheduling of FP loads
ClosedPublic

Authored by kpdev42 on Dec 28 2021, 10:30 PM.

Details

Summary

Patch fixes scheduling of FP load instructions with pre/post increment adding WriteAdr for address operand.

Diff Detail

Event Timeline

kpdev42 created this revision.Dec 28 2021, 10:30 PM
dmgreen accepted this revision.Jan 3 2022, 7:19 AM

Thanks for pulling this part out, it looks good. I've been trying to work out if they really should be 3 microops (so execute over 1.5 cycles), but it appears to be quite difficult to measure. As far as I can tell it maybe shouldn't, but my attempts to use NumMicroOps=0 only made things look worse! The optimization guide wasn't very clear on where exactly the updates happen.

So I'm happy with this as-is. LGTM. Looks like a nice improvement.

This revision is now accepted and ready to land.Jan 3 2022, 7:19 AM
This revision was landed with ongoing or failed builds.Jan 9 2022, 11:15 PM
This revision was automatically updated to reflect the committed changes.